SSL required!

Unfortunately, you'll need a modern, SSL-equipped browser for this area.


We purposely have old.vistaserv.net set up to serve plain-text traffic only, no SSL or TLS. The reason for this is so that historic browsers can still be used with Vistaserv. However, because of the security risks, we're not letting users log in or modify there accounts on this read-only version of Vistaserv. If you want to do that, you'll need to head on over to https://www.vistaserv.net.